using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace CoverageFramework.Operator.Generator.Python3
{
	[Export(typeof(IXElementGenerator))]
	public class ImportGenerator : IXElementGenerator 
	{
		#region IXElementGenerator メンバ

		public XElement[] Generate()
		{
			return new[] {
				new XElement("TOKEN", "from coverage_manager import *"),
				new XElement("NEWLINE"),
			};
		}

		#endregion
	}
}
